import React__default from 'react';
import styles from './menu-button.module.pcss.js';
import classNames from 'classnames';
import Button from '@rescui/button';
import { CloseIcon, HamburgerIcon } from '@rescui/icons';

const MenuButton = ({
  onClick,
  isExpanded
}) => {
  return React__default.createElement(Button, {
    type: "button",
    className: classNames(styles.button),
    "aria-haspopup": "true",
    "aria-label": "Open the navigation",
    onClick: onClick,
    size: 'l',
    mode: 'clear',
    icon: isExpanded ? React__default.createElement(CloseIcon, null) : React__default.createElement(HamburgerIcon, null)
  });
};

export { MenuButton };
