import './index.css';
import React from 'react';
import cn from 'classnames';
import styles from './nav-item.module.pcss.js';
import { useTextStyles } from '@rescui/typography';

const NavItem = ({
  children,
  icon,
  active,
  iconPosition,
  onClick
}) => {
  const textCn = useTextStyles();
  const navItemClass = cn(styles.navItem, {
    [styles.navItemActive]: active,
    [styles.rightIcon]: iconPosition === 'right'
  });
  const textStyles = cn(styles.title, {
    [styles.titleWithIcon]: icon,
    [styles.titleWithIconRight]: iconPosition === 'right',
    [styles.titleWithoutIcon]: !children
  });
  return React.createElement("div", {
    className: navItemClass,
    onClick: onClick
  }, icon ? icon : null, React.createElement("div", {
    className: cn(textCn('rs-text-2', {
      hardness: 'hard'
    }), textStyles)
  }, children));
};

export { NavItem, NavItem as default };
