import React from 'react';
import cn from 'classnames';
import { Menu } from '@rescui/menu';
import { Sidebar } from '@jetbrains/kotlin-web-site-ui/out/components/sidebar/sidebar';
import { SidebarMenuItem } from './menu-item.js';
import styles from './popup.module.css.js';
import '@rescui/ui-contexts';
import '@rescui/icons';
import '@rescui/button';
import '../sidebar/sidebar.js';

function SidebarMenu({
  className,
  before,
  activeIndex,
  items,
  onItemClick,
  ...props
}) {
  return React.createElement(Sidebar, { ...props,
    className: cn(className, styles.popup)
  }, before, React.createElement(Menu, {
    className: styles.menu
  }, items.map((item, i) => React.createElement(SidebarMenuItem, {
    key: i,
    isActive: i === activeIndex,
    index: i,
    ...item,
    onClick: onItemClick
  }))));
}

export { SidebarMenu };
